Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
win32ole_error.c File Reference
`#include "win32ole.h"`

Go to the source code of this file.

## Functions
void | ole_raise (HRESULT hr, VALUE ecs, const char *fmt,...)
void | Init_win32ole_error (void)

## Function Documentation

## ◆ Init_win32ole_error()

void Init_win32ole_error | ( | void |  | ) |

Definition at line 64 of file win32ole_error.c.

References eWIN32OLEQueryInterfaceError, eWIN32OLERuntimeError, rb_define_class(), and rb_eRuntimeError.

## ◆ ole_raise()

void ole_raise | ( | HRESULT | hr,
|  | VALUE | ecs,
|  | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 46 of file win32ole_error.c.

Referenced by ole_methods_from_typeinfo(), and val2variant_ptr().